GET api/PhysicalTherapy/GetPTSupplies?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfCPWSuppliesDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CPWSuppliesDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "SuppliesId": 1,
      "ClinicalPathwayId": 2,
      "Quantity": "sample string 3",
      "CPTCode": "sample string 4",
      "ICD10List": [
        1,
        2
      ],
      "ICD10": 5,
      "UserName": "sample string 6",
      "SuppliesName": "sample string 7",
      "ICD10Type": "sample string 8",
      "ICD10TypeList": [
        1,
        2
      ],
      "SuppliesTypeId": 9,
      "SuppliesType": "sample string 10",
      "CPWPT_Order_ICD10List": [
        {
          "ICD10": 1,
          "ICD10Type": "sample string 1"
        },
        {
          "ICD10": 1,
          "ICD10Type": "sample string 1"
        }
      ],
      "ICD10Code": "sample string 11",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:29.6243206-07:00",
      "DateUpdated": "2026-08-04T14:30:29.6243206-07:00",
      "UserIDCreated": 15,
      "UserIDUpdated": 16,
      "CompanyCode": "sample string 17",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "SuppliesId": 1,
      "ClinicalPathwayId": 2,
      "Quantity": "sample string 3",
      "CPTCode": "sample string 4",
      "ICD10List": [
        1,
        2
      ],
      "ICD10": 5,
      "UserName": "sample string 6",
      "SuppliesName": "sample string 7",
      "ICD10Type": "sample string 8",
      "ICD10TypeList": [
        1,
        2
      ],
      "SuppliesTypeId": 9,
      "SuppliesType": "sample string 10",
      "CPWPT_Order_ICD10List": [
        {
          "ICD10": 1,
          "ICD10Type": "sample string 1"
        },
        {
          "ICD10": 1,
          "ICD10Type": "sample string 1"
        }
      ],
      "ICD10Code": "sample string 11",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:29.6243206-07:00",
      "DateUpdated": "2026-08-04T14:30:29.6243206-07:00",
      "UserIDCreated": 15,
      "UserIDUpdated": 16,
      "CompanyCode": "sample string 17",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}